27 lines
1.2 KiB
Diff
27 lines
1.2 KiB
Diff
|
diff -Nuar --exclude '*.orig' --exclude '*.rej' klibc-1.5.11.orig/scripts/Kbuild.install klibc-1.5.11/scripts/Kbuild.install
|
||
|
--- klibc-1.5.11.orig/scripts/Kbuild.install 2008-06-15 17:28:23.000000000 -0700
|
||
|
+++ klibc-1.5.11/scripts/Kbuild.install 2008-06-26 10:14:05.365949576 -0700
|
||
|
@@ -84,6 +84,13 @@
|
||
|
# 1) Create directories, install headers and man pages
|
||
|
# 2) Tell that we now install binaries
|
||
|
# 3) Install binaries by descending
|
||
|
+
|
||
|
+# Arch specific definitions for klibc
|
||
|
+include $(KLIBCSRC)/arch/$(KLIBCARCHDIR)/MCONFIG
|
||
|
+
|
||
|
+# include/asm-* architecture
|
||
|
+KLIBCASMARCH ?= $(KLIBCARCH)
|
||
|
+
|
||
|
.PHONY: header footer descend
|
||
|
header:
|
||
|
$(Q)echo " INSTALL headers + man pages to $(INSTALLROOT)$(INSTALLDIR)"
|
||
|
@@ -95,7 +102,7 @@
|
||
|
$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)include
|
||
|
$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)lib
|
||
|
$(Q)mkdir -p $(INSTALLROOT)$(INSTALLDIR)/$(KCROSS)bin
|
||
|
- $(Q)set -e ; for d in linux asm asm-$(KLIBCARCH) asm-generic $(ASMKLIBCARCH); do \
|
||
|
+ $(Q)set -e ; for d in linux scsi asm-$(KLIBCASMARCH) asm-generic $(ASMKLIBCARCH); do \
|
||
|
for r in $(KLIBCKERNELSRC)/include $(KLIBCKERNELOBJ)/include \
|
||
|
$(KLIBCKERNELOBJ)/include2 ; do \
|
||
|
[ ! -d $$r/$$d ] && continue; \
|